MKZONEDB(8)

NAME
mkzonedb - Utility create a zone file for isdnlog

SYNOPSIS
mkzonedb -r zonefile -d database [-v] [-V] [-o Oz] [-l len]

DESCRIPTION
mkzonedb reads a text file with zone (area code) information, and writes it in a special format to the database file so that other apps such as isdnlog can easily access the data. This data is used to determine in what "zone" a given area code is in relation to another, to see what rate applies to a call between these area codes ("is the call a local call"). This utility is really only used during the building of the isdnlog-data package, but it may be useful for those who want to create their own custom tables.

OPTIONS

-r zonefile
    the text file with the zone information. Use "-" for standard input.

-d database
    the output database filename

-v  verbose mode

-V  show version information, and quit (don't do anything)

-o Oz
    Use "Oz" area zone. Default is 1. (What does this mean, exactly?)

-l len
    "len" is the length of areacodes.
    If 5 or more is given, then more space is allocated for the internal tables (40000 instead of 10000 numbers allowed). Other values aren't really used.

AUTHOR
manpage written from C source by Paul Slootman <paul@debian.org>.